Subject: RE: ImageMagick
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 22 Jul 2003 15:15:40 +1000

ImageMagick-5.5.3 builds out of the box for me with shared libraries, and I have
been using it for months without problem.

I did re-autotool it before I built, but I am not sure if that is required  

  libtoolize --copy --force && \
  aclocal && \
  automake && \
  autoconf

I then configured with 

  ${srcdir}/configure  \
  --srcdir=${srcdir} --prefix=${prefix} \
  --exec-prefix=${prefix} --sysconfdir=${sysconfdir} \
  --libdir=${prefix}/lib --includedir=${prefix}/include \
  --libexecdir='${sbindir}' --localstatedir=/var \
  --datadir='${prefix}/share'  \
  --enable-shared --disable-static \
  --disable-largefile --without-frozenpaths \
  --with-magick-plus-plus --without-perl -without-wmf

 o perl works, but I was going to put together a cygwin distribution
 o libwmf works too, but isn't distributed with cygwin

Output from configure is given below.  The 

-----------------------------------------------------------------------------------
ImageMagick is configured as follows. Please verify that this
configuration matches your expectations.

Host system type : i686-pc-cygwin

Option            Configure option              Configured value
-----------------------------------------------------------------
$
Static libraries  --enable-static=no            no
GNU ld            --with-gnu-ld=yes             yes
LZW support       --enable-lzw=no               no
Quantum depth     --with-quantum-depth=16       16

Delegate Configuration:
BZLIB             --with-bzlib=yes              yes
DPS               --with-dps=yes                yes
FlashPIX          --with-fpx=yes                no
FreeType 2.0      --with-ttf=yes                yes
Ghostscript       None                          gs
Ghostscript fonts --with-gs-font-dir=default    /usr/X11R6/share/ghostscript/fonts/
Ghostscript lib   --with-gslib=yes              no
JBIG              --with-jbig=yes               yes
JPEG v1           --with-jpeg=yes               yes
JPEG v2           --with-jp2=yes                no
LCMS              --with-lcms=yes               no
Magick++          --with-magick-plus-plus=yes   yes
PERL              --with-perl=no                no
PNG               --with-png=yes                yes
TIFF              --with-tiff=yes               yes
Windows fonts     --with-windows-font-dir=      none
WMF               --with-wmf=no                 no
X11               --with-x=                     yes
XML               --with-xml=yes                yes
ZLIB              --with-zlib=yes               yes

X11 Configuration:
  X_CFLAGS     = -I/usr/X11R6/include
  X_PRE_LIBS   = -lSM -lICE
  X_LIBS       = -L/usr/X11R6/lib
  X_EXTRA_LIBS =

Options used to compile and link:
  CC       = gcc
  CFLAGS   = -O2 -Wall
  CPPFLAGS = -I/usr/X11R6/include/freetype2 -D_REENTRANT -I/usr/include/libpng12
 -I/usr/X11R6/include -I/usr/X11R6/include/X11 -I/usr/include/libxml2
  CXX      = g++
  CXXFLAGS = -g -O2
  LDFLAGS  = -L/usr/X11R6/lib -L/usr/X11R6/lib -L/usr/lib
  LIBS     = -ljbig -ltiff -lfreetype -ljpeg -lpng -ldpstk -ldps -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lgdi32 -lpthread -lm

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/